//==============================================
// CUS8RP3216 Special Register Address Definition
// Version: V1.1
// Date   : 2016-04-01
//==============================================

#ifndef  _CUS8RP3216_H
#define _CUS8RP3216_H 1
extern volatile unsigned char IND0      @ 0x00;    
extern volatile unsigned char FSR0      @ 0x02;    
extern volatile unsigned char STATUS    @ 0x04;    
extern volatile unsigned char WORK      @ 0x05;    
extern volatile unsigned char INTF      @ 0x06;    
extern volatile unsigned char INTE      @ 0x07;    
extern volatile unsigned char EADRH     @ 0x0a;    
extern volatile unsigned char EADRL     @ 0x0b;    
extern volatile unsigned char EDATH     @ 0x0c;    
extern volatile unsigned char WDTCON    @ 0x0d;    
extern volatile unsigned char WDTIN     @ 0x0e;    
extern volatile unsigned char TM0CON    @ 0x0f;    
extern volatile unsigned char TM0IN     @ 0x10;    
extern volatile unsigned char TM0CNT    @ 0x11;    
    
extern volatile unsigned char MCK       @ 0x16; 
extern volatile unsigned char TM2CON    @ 0x17;    
extern volatile unsigned char TM2IN     @ 0x18;    
extern volatile unsigned char TM2CNT    @ 0x19;    
extern volatile unsigned char TM2R      @ 0x1a; 

extern volatile unsigned char TM3CON    @ 0x1b;    
extern volatile unsigned char TM3IN     @ 0x1c;    
extern volatile unsigned char TM3CNT    @ 0x1d;    
extern volatile unsigned char TM3R      @ 0x1e; 
  
extern volatile unsigned char PT1       @ 0x20;    
extern volatile unsigned char PT1EN     @ 0x21;    
extern volatile unsigned char PT1PU     @ 0x22;    
extern volatile unsigned char PT1CON    @ 0x23;    
extern volatile unsigned char PT3       @ 0x28;    
extern volatile unsigned char PT3EN     @ 0x29;    
extern volatile unsigned char PT3PU     @ 0x2a;    
extern volatile unsigned char PT3CON    @ 0x2b;
extern volatile unsigned char PT3OD	   @ 0x2c;
extern volatile unsigned char TM3CON2   @ 0x2d;
extern volatile unsigned char TMCON     @ 0x2e;	  
extern volatile unsigned char TMCON2    @ 0x2f;
extern volatile unsigned char PT5       @ 0x30;    
extern volatile unsigned char PT5EN     @ 0x31;    
extern volatile unsigned char PT5PU     @ 0x32;    
extern volatile unsigned char PT5CON    @ 0x33;
extern volatile unsigned char PT1CON1   @ 0x38;
extern volatile unsigned char EX0CFG    @ 0x39; 

extern volatile unsigned char INTF2     @ 0x3c;    
extern volatile unsigned char INTE2     @ 0x3d; 
extern volatile unsigned char INTF3     @ 0x3e;    
extern volatile unsigned char INTE3     @ 0x3f;  

extern volatile unsigned char TM4CON    @ 0x40;    
extern volatile unsigned char TM4IN     @ 0x41; 
extern volatile unsigned char TM4CNT    @ 0x42;    
extern volatile unsigned char TM4R      @ 0x43;
extern volatile unsigned char TM2INH    @ 0x44;    
extern volatile unsigned char TM2CNTH   @ 0x45; 
extern volatile unsigned char TM2RH     @ 0x46;    
extern volatile unsigned char TM3INH    @ 0x47;

extern volatile unsigned char TM3CNTH   @ 0x48;    
extern volatile unsigned char TM3RH     @ 0x49; 
extern volatile unsigned char TM4INH    @ 0x4a;    
extern volatile unsigned char TM4CNTH   @ 0x4b;
extern volatile unsigned char TM4RH     @ 0x4c;    
extern volatile unsigned char SRADCON0  @ 0x50; 
extern volatile unsigned char SRADCON1  @ 0x51;    
extern volatile unsigned char SRADCON2  @ 0x52;

extern volatile unsigned char SRADL     @ 0x54;    
extern volatile unsigned char SRADH     @ 0x55; 
extern volatile unsigned char SROFTL    @ 0x56;    
extern volatile unsigned char SROFTH    @ 0x57;
extern volatile unsigned char TRIM_EX   @ 0x59;    
extern volatile unsigned char TRIM_REF  @ 0x5a; 
extern volatile unsigned char LCDCOM    @ 0x5b;    
extern volatile unsigned char LCDSEG    @ 0x5c;

extern volatile unsigned char LVDCON    @ 0x5e;    
extern volatile unsigned char METCH     @ 0x5f; 
extern volatile unsigned char CMPCON    @ 0x6a;    
extern volatile unsigned char SCON1     @ 0x77;
extern volatile unsigned char SCON2     @ 0x78;    
extern volatile unsigned char SBUF      @ 0x79; 
extern volatile unsigned char CURCON    @ 0x7a;    
extern volatile unsigned char SYSCFG0   @ 0x7b;

extern volatile unsigned char SYSCFG1   @ 0x7c;
extern volatile unsigned char TESTOP0   @ 0x7d;
extern volatile unsigned char TESTOP1   @ 0x7e;   
extern volatile unsigned char TEST      @ 0x7f;
                          
extern volatile sbit  Z         @ 0x04*8+0;
extern volatile sbit  C         @ 0x04*8+1;
extern volatile sbit  DC        @ 0x04*8+2;
extern volatile sbit  TO        @ 0x04*8+3;
extern volatile sbit  PD        @ 0x04*8+4;
extern volatile sbit  LVD24     @ 0x04*8+6;
extern volatile sbit  LVD36     @ 0x04*8+7;

extern volatile sbit  E0IF      @ 0x06*8+0;
extern volatile sbit  E1IF      @ 0x06*8+1; 
extern volatile sbit  SRADIF    @ 0x06*8+3;                        
extern volatile sbit  TM0IF     @ 0x06*8+4;
extern volatile sbit  TM2IF     @ 0x06*8+6;
extern volatile sbit  E0IE      @ 0x07*8+0;
extern volatile sbit  E1IE      @ 0x07*8+1;
extern volatile sbit  SRADIE    @ 0x07*8+3;                          
extern volatile sbit  TM0IE     @ 0x07*8+4;
extern volatile sbit  TM2IE     @ 0x07*8+6;
extern volatile sbit  GIE       @ 0x07*8+7;

extern volatile sbit  WTS0      @ 0x0d*8+0;
extern volatile sbit  WTS1      @ 0x0d*8+1;
extern volatile sbit  WTS2      @ 0x0d*8+2;
extern volatile sbit  WDTEN     @ 0x0d*8+7;
extern volatile sbit  T0SEL0    @ 0x0f*8+0;
extern volatile sbit  T0SEL1    @ 0x0f*8+1;
extern volatile sbit  T0RSTB    @ 0x0f*8+2;
extern volatile sbit  T0RATE0   @ 0x0f*8+4;
extern volatile sbit  T0RATE1   @ 0x0f*8+5;
extern volatile sbit  T0RATE2   @ 0x0f*8+6;
extern volatile sbit  T0EN      @ 0x0f*8+7;

extern volatile sbit  CLKSEL    @ 0x16*8+0;
extern volatile sbit  EO_SLP    @ 0x16*8+4;
extern volatile sbit  CST_WDT   @ 0x16*8+5;
extern volatile sbit  CST_IN    @ 0x16*8+6;
extern volatile sbit  CST       @ 0x16*8+7;

extern volatile sbit  PWM2OUT   @ 0x17*8+0;
extern volatile sbit  T2OUT     @ 0x17*8+1;
extern volatile sbit  T2RSTB    @ 0x17*8+2;
extern volatile sbit  T2CKS     @ 0x17*8+3;
extern volatile sbit  T2RATE0   @ 0x17*8+4;
extern volatile sbit  T2RATE1   @ 0x17*8+5;
extern volatile sbit  T2RATE2   @ 0x17*8+6;
extern volatile sbit  T2EN      @ 0x17*8+7;

extern volatile sbit  PWM3OUT   @ 0x1b*8+0;
extern volatile sbit  T3OUT     @ 0x1b*8+1;
extern volatile sbit  T3RSTB    @ 0x1b*8+2;
extern volatile sbit  T3CKS     @ 0x1b*8+3;
extern volatile sbit  T3RATE0   @ 0x1b*8+4;
extern volatile sbit  T3RATE1   @ 0x1b*8+5;
extern volatile sbit  T3RATE2   @ 0x1b*8+6;
extern volatile sbit  T3EN      @ 0x1b*8+7;

extern volatile sbit  P3L_OEN   @ 0x2d*8+0;
extern volatile sbit  P3H_OEN   @ 0x2d*8+1;
extern volatile sbit  DT3_EN    @ 0x2d*8+2;
extern volatile sbit  DT3CNT0   @ 0x2d*8+3;
extern volatile sbit  DT3CNT1   @ 0x2d*8+4;
extern volatile sbit  DT3CNT2   @ 0x2d*8+5;
extern volatile sbit  DT3CK0    @ 0x2d*8+6;
extern volatile sbit  DT3CK1    @ 0x2d*8+7;

extern volatile sbit  PWM2PO   @ 0x2e*8+0;
extern volatile sbit  PWM3PO   @ 0x2e*8+1;
extern volatile sbit  PWM4PO   @ 0x2e*8+2;
extern volatile sbit  P3LINV   @ 0x2e*8+6;
extern volatile sbit  P3HINV   @ 0x2e*8+7;


extern volatile sbit	PT1_1	 @ 0x20*8+1;
extern volatile sbit	PT1_2	 @ 0x20*8+2;
extern volatile sbit	PT1_3	 @ 0x20*8+3;
extern volatile sbit	PT1_4	 @ 0x20*8+4;
extern volatile sbit	PT1_5	 @ 0x20*8+5;
extern volatile sbit	PT1_6	 @ 0x20*8+6;
extern volatile sbit	PT1_7	 @ 0x20*8+7;

extern volatile sbit  PT1EN1    @ 0x21*8+1;
extern volatile sbit  PT1EN2    @ 0x21*8+2;
extern volatile sbit  PT1EN3    @ 0x21*8+3;
extern volatile sbit  PT1EN4    @ 0x21*8+4;
extern volatile sbit  PT1EN5    @ 0x21*8+5;
extern volatile sbit  PT1EN6    @ 0x21*8+6;
extern volatile sbit  PT1EN7    @ 0x21*8+7;

extern volatile sbit  PT1PU1    @ 0x22*8+1;
extern volatile sbit  PT1PU2    @ 0x22*8+2;
extern volatile sbit  PT1PU3    @ 0x22*8+3;
extern volatile sbit  PT1PU4    @ 0x22*8+4;
extern volatile sbit  PT1PU5    @ 0x22*8+5;
extern volatile sbit  PT1PU6    @ 0x22*8+6;
extern volatile sbit  PT1PU7    @ 0x22*8+7;

extern volatile sbit  E0M0      @ 0x23*8+0;
extern volatile sbit  E0M1      @ 0x23*8+1;
extern volatile sbit  E1M       @ 0x23*8+2;
extern volatile sbit  PT1W10    @ 0x23*8+3;
extern volatile sbit  PT1W11    @ 0x23*8+4;
extern volatile sbit  PT1W12    @ 0x23*8+5;
extern volatile sbit  PT1W13    @ 0x23*8+6;
extern volatile sbit  PT11OD    @ 0x23*8+7;

extern volatile sbit	PT3_0	 @ 0x28*8+0;
extern volatile sbit	PT3_1	 @ 0x28*8+1;
extern volatile sbit	PT3_2	 @ 0x28*8+2;
extern volatile sbit	PT3_3	 @ 0x28*8+3;
extern volatile sbit	PT3_4	 @ 0x28*8+4;
extern volatile sbit	PT3_5	 @ 0x28*8+5;
extern volatile sbit	PT3_6	 @ 0x28*8+6;
extern volatile sbit	PT3_7	 @ 0x28*8+7;

extern volatile sbit  PT3EN0    @ 0x29*8+0;
extern volatile sbit  PT3EN1    @ 0x29*8+1;
extern volatile sbit  PT3EN2    @ 0x29*8+2;
extern volatile sbit  PT3EN3    @ 0x29*8+3;
extern volatile sbit  PT3EN4    @ 0x29*8+4;
extern volatile sbit  PT3EN5    @ 0x29*8+5;
extern volatile sbit  PT3EN6    @ 0x29*8+6;
extern volatile sbit  PT3EN7    @ 0x29*8+7;

extern volatile sbit  PT3PU0    @ 0x2a*8+0;
extern volatile sbit  PT3PU1    @ 0x2a*8+1;
extern volatile sbit  PT3PU2    @ 0x2a*8+2;
extern volatile sbit  PT3PU3    @ 0x2a*8+3;
extern volatile sbit  PT3PU4    @ 0x2a*8+4;
extern volatile sbit  PT3PU5    @ 0x2a*8+5;
extern volatile sbit  PT3PU6    @ 0x2a*8+6;
extern volatile sbit  PT3PU7    @ 0x2a*8+7;

extern volatile sbit  PT3CON0   @ 0x2b*8+0;
extern volatile sbit  PT3CON1   @ 0x2b*8+1;
extern volatile sbit  PT3CON2   @ 0x2b*8+2;
extern volatile sbit  PT3CON3   @ 0x2b*8+3;
extern volatile sbit  PT3CON4   @ 0x2b*8+4;
extern volatile sbit  PT3CON5   @ 0x2b*8+5;
extern volatile sbit  PT3CON6   @ 0x2b*8+6;
extern volatile sbit  PT3CON7   @ 0x2b*8+7;

extern volatile sbit	PT5_0	 @ 0x30*8+0;
extern volatile sbit	PT5_1	 @ 0x30*8+1;
extern volatile sbit	PT5_2	 @ 0x30*8+2;

extern volatile sbit  PT5EN0    @ 0x31*8+0;
extern volatile sbit  PT5EN1    @ 0x31*8+1;
extern volatile sbit  PT5EN2    @ 0x31*8+2;

extern volatile sbit  PT5PU0    @ 0x32*8+0;
extern volatile sbit  PT5PU1    @ 0x32*8+1;
extern volatile sbit  PT5PU2    @ 0x32*8+2;

extern volatile sbit  PT5CON0   @ 0x33*8+0;
extern volatile sbit  PT50OD    @ 0x33*8+1;
extern volatile sbit  PT51OD    @ 0x33*8+2;

extern volatile sbit  TM3IF     @ 0x3c*8+4;
extern volatile sbit  TM4IF     @ 0x3c*8+5;
extern volatile sbit  TM3IE     @ 0x3d*8+4;
extern volatile sbit  TM4IE     @ 0x3d*8+5;

extern volatile sbit  URRIF     @ 0x3e*8+0;
extern volatile sbit  URTIF     @ 0x3e*8+1;
extern volatile sbit  CMPIF     @ 0x3e*8+7;

extern volatile sbit  URRIE     @ 0x3f*8+0;
extern volatile sbit  URTIE     @ 0x3f*8+1;
extern volatile sbit  CMPIE     @ 0x3f*8+7;

extern volatile sbit  PWM4OUT  @ 0x40*8+0;
extern volatile sbit  T4OUT    @ 0x40*8+1;
extern volatile sbit  T4RSTB   @ 0x40*8+2;
extern volatile sbit  T4CKS    @ 0x40*8+3;
extern volatile sbit  T4RATE0  @ 0x40*8+4;
extern volatile sbit  T4RATE1  @ 0x40*8+5;
extern volatile sbit  T4RATE2  @ 0x40*8+6;
extern volatile sbit  T4EN     @ 0x40*8+7;

extern volatile sbit  SRADCKS0    @ 0x50*8+0;
extern volatile sbit  SRADCKS1    @ 0x50*8+1;
extern volatile sbit  SRADACKS0   @ 0x50*8+4;
extern volatile sbit  SRADACKS1   @ 0x50*8+5;
extern volatile sbit  QDIF        @ 0x50*8+7;

extern volatile sbit  VREFS0    @ 0x51*8+0;
extern volatile sbit  VREFS1    @ 0x51*8+1;
extern volatile sbit  OFFEX     @ 0x51*8+2;
extern volatile sbit  ENOV      @ 0x51*8+3;
extern volatile sbit  CALIF     @ 0x51*8+4;
extern volatile sbit  OFTEN     @ 0x51*8+5;
extern volatile sbit  SRADS     @ 0x51*8+6;
extern volatile sbit  SRADEN    @ 0x51*8+7;

extern volatile sbit  CMPOUT    @ 0x6a*8+0;
extern volatile sbit  CMP_OEN   @ 0x6a*8+1;
extern volatile sbit  CMPEN     @ 0x6a*8+7;

extern volatile sbit  RB8     @ 0x77*8+2;
extern volatile sbit  TB8     @ 0x77*8+3;
extern volatile sbit  REN     @ 0x77*8+4;
extern volatile sbit  SM2     @ 0x77*8+5;
extern volatile sbit  SM1     @ 0x77*8+6;
extern volatile sbit  SM0     @ 0x77*8+7;

extern volatile sbit  PINCTL0    @ 0x78*8+0;
extern volatile sbit  PINCTL1    @ 0x78*8+1;
extern volatile sbit  PINCTL2    @ 0x78*8+2;
extern volatile sbit  UARTEN     @ 0x78*8+3;
extern volatile sbit  URCLK0     @ 0x78*8+5;
extern volatile sbit  URCLK1     @ 0x78*8+6;
extern volatile sbit  SMOD       @ 0x78*8+7;

extern volatile sbit  CURP17_0    @ 0x7a*8+1;
extern volatile sbit  CURP17_1    @ 0x7a*8+2;
extern volatile sbit  P14CUR0     @ 0x7a*8+4;
extern volatile sbit  P14CUR1     @ 0x7a*8+5;
extern volatile sbit  P35CUR      @ 0x7a*8+6;
extern volatile sbit  P36CUR      @ 0x7a*8+7;
#endif   
